//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Instrument/ItemWithDistribution.h
//! @brief     Defines abstract item with a distribution
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_INSTRUMENT_ITEMWITHDISTRIBUTION_H
#define BORNAGAIN_GUI_MODEL_INSTRUMENT_ITEMWITHDISTRIBUTION_H

#include "Wrap/WinDllMacros.h"

#include <QString>

class DistributionItem;


/// Abstract interface of an item with a distribution property

class BA_CORE_API_ ItemWithDistribution {
public:
    virtual DistributionItem* distribution() const = 0;
    virtual DistributionItem* setDistributionType(const QString& model_type) = 0;

    virtual ~ItemWithDistribution() = default;
};

#endif // BORNAGAIN_GUI_MODEL_INSTRUMENT_ITEMWITHDISTRIBUTION_H
