//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/State/SessionData.h
//! @brief     Defines struct SessionData
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_STATE_SESSIONDATA_H
#define BORNAGAIN_GUI_MODEL_STATE_SESSIONDATA_H

#include "GUI/Model/Instrument/InstrumentLibrary.h"
#include "GUI/Model/Project/ProjectDocument.h"

struct SessionData {
    SessionData();

    InstrumentLibrary instrumentLibrary;
    ProjectDocument* projectDocument{nullptr};

    //! The folder where persistent application data shall be stored. E.g. in Windows this is the
    //! AppData/Roaming location.
    //! Used e.g. for storing the instrument library.
    static QString appDataFolder();
};

extern SessionData* gSessionData; //!< global pointer to the single instance

#endif // BORNAGAIN_GUI_MODEL_STATE_SESSIONDATA_H
