//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/InstrumentView.h
//! @brief     Defines class InstrumentView
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_INSTRUMENTVIEW_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_INSTRUMENTVIEW_H

#include <QWidget>

class DetectorItem;
class InstrumentViewToolBar;
class InstrumentSelectorWidget;
class InstrumentEditor;
class InstrumentItem;
class InstrumentListView;
class InstrumentModel;
class ProjectDocument;

class InstrumentView : public QWidget {
    Q_OBJECT

public:
    InstrumentView(QWidget* parent, ProjectDocument* document);

private slots:
    void onInstrumentSelected(InstrumentItem* instrumentItem);

private:
    InstrumentListView* m_instrumentListView;
    InstrumentEditor* m_instrumentEditor;
    ProjectDocument* m_document;
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_INSTRUMENTVIEW_H
