//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/OffSpecularInstrumentEditor.h
//! @brief     Defines class OffSpecularInstrumentEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARINSTRUMENTEDITOR_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARINSTRUMENTEDITOR_H

#include <QWidget>

class DetectorEditor;
class OffSpecularBeamEditor;
class OffSpecularInstrumentItem;
class PolarizationAnalysisEditor;

class OffSpecularInstrumentEditor : public QWidget {
    Q_OBJECT

public:
    OffSpecularInstrumentEditor(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    void setItem(OffSpecularInstrumentItem* item);

private:
    OffSpecularBeamEditor* m_beamEditor;
    DetectorEditor* m_detectorEditor;
    PolarizationAnalysisEditor* m_polpairAnalysisEditor;
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARINSTRUMENTEDITOR_H
