//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/SpecularInstrumentEditor.h
//! @brief     Defines class SpecularInstrumentEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_SPECULARINSTRUMENTEDITOR_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_SPECULARINSTRUMENTEDITOR_H

#include <QWidget>

class SpecularInstrumentItem;
class SpecularBeamEditor;
class EnvironmentEditor;
class PolarizationAnalysisEditor;

class SpecularInstrumentEditor : public QWidget {
    Q_OBJECT

public:
    SpecularInstrumentEditor(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    void setItem(SpecularInstrumentItem* item);

private:
    SpecularBeamEditor* m_beamEditor;
    PolarizationAnalysisEditor* m_polpairAnalysisEditor;
    EnvironmentEditor* m_environmentEditor;
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_SPECULARINSTRUMENTEDITOR_H
