//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/SpecularData/SpecularDataWidget.h
//! @brief     Defines class SpecularDataWidget
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SPECULARDATA_SPECULARDATAWIDGET_H
#define BORNAGAIN_GUI_VIEW_SPECULARDATA_SPECULARDATAWIDGET_H

#include "GUI/View/Common/SessionItemWidget.h"

class SpecularDataCanvas;
class SpecularDataItem;
class SpecularDataPropertyWidget;

class SpecularDataWidget : public SessionItemWidget {
    Q_OBJECT

public:
    SpecularDataWidget(QWidget* parent = nullptr);

    void setItem(SessionItem* jobItem) override;

    QList<QAction*> actionList() override;

private slots:
    void onContextMenuRequest(const QPoint& point);

private:
    SpecularDataItem* specularDataItem();

    SpecularDataCanvas* m_intensity_canvas;
    SpecularDataPropertyWidget* m_propertyWidget;
    QAction* m_togglePropertiesAction;
};

#endif // BORNAGAIN_GUI_VIEW_SPECULARDATA_SPECULARDATAWIDGET_H
