#include "BATesting.h"
#include "Device/Data/OutputData.h"
#include "Device/Histo/IntensityDataIOFactory.h"
#include "Tests/GTestWrapper/google_test.h"

class ReadSANSDRawTest : public ::testing::Test {
};

TEST_F(ReadSANSDRawTest, Read)
{
    const auto fname = BATesting::ExampleDataDir() + "/SANSDRaw.001";
    OutputData<double>* data =
        IntensityDataIOFactory::readOutputData(fname, IntensityDataIOFactory::automatic);
    EXPECT_NE(data, nullptr);
    if (!data)
        return;
    EXPECT_EQ(data->rank(), 2);
    EXPECT_EQ(data->getAllocatedSize(), 16384);
    EXPECT_EQ((*data)[128 * 70 + 62], 443);
}
