#include "GUI/Model/Sample/LayerItem.h"
#include "GUI/Model/Sample/MultiLayerItem.h"
#include "GUI/Model/Sample/ParticleCompositionItem.h"
#include "GUI/Model/Sample/ParticleLayoutItem.h"
#include "GUI/Model/Sample/SampleModel.h"
#include "Tests/GTestWrapper/google_test.h"
#include <QtTest>

class TestMapperCases : public ::testing::Test {
};

TEST_F(TestMapperCases, ParticeleCompositionUpdate)
{
    SampleModel model;
    auto* multilayer = model.insertItem<MultiLayerItem>();
    auto* layer = model.insertItem<LayerItem>(multilayer);
    auto* layout = model.insertItem<ParticleLayoutItem>(layer);

    // composition added to layout should have abundance enabled
    auto* compositionFree = model.insertItem<ParticleCompositionItem>(layout);
    EXPECT_TRUE(compositionFree->abundanceItem()->isEnabled());
}
